description

# FontFaceSet class Null safety

Inheritance
  - Object
  - EventTarget
  - FontFaceSet
Annotations
  - @Native("FontFaceSet")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onLoading → Stream<FontFaceSetLoadEvent>
  read-only
onLoadingDone → Stream<FontFaceSetLoadEvent>
  read-only
onLoadingError → Stream<FontFaceSetLoadEvent>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
status → String?
  read-only

## Methods

add(FontFace arg) → FontFaceSet
addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
check(String font, [String? text]) → bool
clear() → void
delete(FontFace arg) → bool
dispatchEvent(Event event) → bool
  inherited
forEach(FontFaceSetForEachCallback callback, [Object? thisArg]) → void
has(FontFace arg) → bool
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

loadingDoneEvent → const EventStreamProvider<FontFaceSetLoadEvent>
  `const EventStreamProvider<FontFaceSetLoadEvent>('loadingdone')`
loadingErrorEvent → const EventStreamProvider<FontFaceSetLoadEvent>
  `const EventStreamProvider<FontFaceSetLoadEvent>('loadingerror')`
loadingEvent → const EventStreamProvider<FontFaceSetLoadEvent>
  `const EventStreamProvider<FontFaceSetLoadEvent>('loading')`